<div id="top"></div>
<div class="ticket-group">

</div>


<div class="container">
  <div class="ticket-group" >
    <div class="ticket-upper">
      <div fxFlex fxLayout="row">
        
          <div fxFlex="40" class="food-img" *ngIf="receiveFlag == 1 || receiveFlag == 2" id="screen1">
              <img src="{{bookingFoodImg}}" alt="">
          </div>
          <div fxFlex="60" class="order" *ngIf="receiveFlag == 1 || receiveFlag == 2" id="screen1">
                <h3>Bukti Pemesanan</h3>
                <hr>
                <table>
                  <tr>
                    <td><b>Booking ID</b></td>
                    <td>:</td>
                    <td>{{booking?.booking_id}}</td>
                  </tr>
                  <tr>
                      <td><b>Menu</b></td>
                      <td>:</td>
                      <td>{{booking?.stall_name}}</td>
                  </tr>
                  <tr>
                      <td><b>Booking Time</b></td>
                      <td>:</td>
                      <td>{{booking?.booking_time | date:'medium'}}</td>
                  </tr>
                </table>          
          </div>
      </div>
    </div>

    <div class="ticket-bottom" id="screen1" [@rollOut]="animationStateFront">

      <div class="divider" >
          <div class="red-clr" >
              <mat-icon class="vertical-align">info</mat-icon>
              <span>Pastikan yang menekan tombol ini adalah petugas makanan yang punya otoritas ya!</span>
          </div>
          <button mat-raised-button class="btn-1" color="primary" (click)="confirmFood(booking)">Terima</button>          
      </div>      
     
      <div class="ticket-border">
        <div class="ticket-border-style" *ngFor='let in of [0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19];let i = index'>	
        </div>
      </div>
    </div>
    <div class="masukan" id="screen2" [@rollOut]="animationStateBack">

      <h3 style="margin-top:0; padding-top:10px;">Berikan Masukan</h3>
      
          <div>
            <mat-icon *ngFor="let star of Arr(starNumber); let i = index" 
            class="icon-rating" 
            (mouseover)="changeStar(i)" 
            (mouseleave)="changeStarBorder(i)"
            (click)="rating(i);"
            id="{{i}}">{{starTxt}}</mat-icon>
          </div> 
     
      <div class="ticket-border">
      </div>
    </div>
  </div>
  
</div>